<ng-template #elementBlockTemplate2>
  <div class="block-ui-template">
    <!-- <div class="sk-double-bounce sk-primary">
      <div class="sk-child sk-double-bounce1"></div>
      <div class="sk-child sk-double-bounce2"></div>
    </div>

    <span class="loading-text-material">
      <p class="text-center text-white"> {{loadingText}} </p>
    </span> -->
    <div class="app-splash-screen ">
      <div class="new-app-splash-screen-content text-center">
      <img src="../../assets/img/hx-loader-logo.svg" class="loader-svg">
      <span class="loading-text-material">
       <!-- <p class="text-center text-white">{{loadingText}} </p> -->
   </span>
    </div>
    </div>
  </div>
</ng-template>
<div [ngClass]="loadingBgColor" *blockUI="blockUIName; template: elementBlockTemplate2">

  <div *ngIf="!showEntityDetail && !deviceService.isMobile()" class="m-x-auto home-thumb-container">

    <div *ngIf="!showEntityDetail" class="m-x-auto docs-homescreen-itemholder-header">
      <div class="row col-md-12">
        <div class="w-100 ml-3" style="margin-bottom: 10px;font-size: large;">
          <div class="float-left" style="padding:4px 0.8em 0 0"><a><span class="head-only f-22 fw-500 grey5">Start New Analysis</span></a></div>

          <button class="btn btn-dark icon-only hide-arrow  " placement="bottom"  *ngIf="!deviceService.isMobile() && !deviceService.isTablet()"
          ngbTooltip="Start New analysis" (click)="onNewDocClick()"> <i class="fas fa-plus"></i> New
        </button>
          <button class="btn btn-dark icon-only hide-arrow  " [ngClass]="highlightDefaultPage()" placement="bottom"
            ngbTooltip="Save as default page" (click)="saveAsDefaultPage()"> <i class="fas fa-bookmark"></i>
          </button>
        </div>
      </div>

    </div>
  </div>

  <div *ngIf="!showEntityDetail"  style="margin: 0 -2rem;background:#fff;min-height:100vh">
    <div class="row col-md-12 mob-row docs-homescreen-itemholder-content mx-auto mt-0">
      <div class="w-100">
        <!-- <div class="file-manager-actions container-p-x py-2" *ngIf="viewMode=='col'" style="margin-top: 10px;"> -->
            <div class="file-manager-actions py-2" *ngIf="viewMode=='col'" style="margin-top: 9px;padding-left:15px;padding-right:13px">
          <div>
            <div style="font-weight:bold;">
              <div style="padding-top:12px">Recent Documents</div>
            </div>
          </div>
          <div class="file-item-empty ">
            <div class="btn-group btn-group-toggle" ngbRadioGroup name="file-manager-view" [(ngModel)]="viewMode">
              <label ngbButtonLabel class="btn btn-default icon-btn md-btn-flat mr-2  " style="border-radius: 3px;" placement="top"
              ngbTooltip="List">
                <input ngbButton type="radio" value="row"> <span class="ion ion-md-menu"></span>
              </label>
              <label ngbButtonLabel class="btn btn-default icon-btn md-btn-flat  " style="border-radius: 3px;" placement="top"
              ngbTooltip="Grid">
                <input ngbButton type="radio" value="col"> <span class="ion ion-md-apps"></span>
              </label>

            </div>
          </div>
        </div>
      </div>

      <div class="file-manager-container" [ngClass]="'file-manager-' + viewMode + '-view'">

        <div class="file-manager-row-header tile-header">
          <div class="file-item-name pb-2">{{stricHeaderTitle}}</div>

          <div class="file-item-changed pb-2 text-center">Last Modified Date</div>

          <div class="file-item-empty pb-2">
            <div class="btn-group btn-group-toggle mr-2" ngbRadioGroup name="file-manager-view" [(ngModel)]="viewMode">
              <label ngbButtonLabel class="btn btn-default icon-btn md-btn-flat mr-2  " style="border-radius: 3px;" placement="top"
              ngbTooltip="List">
                <input ngbButton type="radio" value="row"> <span class="ion ion-md-menu"></span>
              </label>
              <label ngbButtonLabel class="btn btn-default icon-btn md-btn-flat  " style="border-radius: 3px;" placement="top"
              ngbTooltip="Grid">
                <input ngbButton type="radio" value="col"> <span class="ion ion-md-apps"></span>
              </label>

            </div>
          </div>

        </div>
        <div class="bg-lightest fixed-top-container file-manager-row-header docs-homescreen-itemholder-header"
          style="position:fixed;top:72px;z-index: 10;"
          *ngIf="isScrolled && !deviceService.isMobile() && !deviceService.isTablet()">
          <div class="file-item-name">{{stricHeaderTitle}}</div>
          <div class="file-item-changed pb-2 text-center">Last Modified Date</div>
          <div class="file-item-empty pb-2">
            <div class="btn-group btn-group-toggle" ngbRadioGroup name="file-manager-view" [(ngModel)]="viewMode">
              <label ngbButtonLabel class="btn btn-default icon-btn md-btn-flat mr-2  " style="border-radius: 3px;" placement="bottom"
              ngbTooltip="List">
                <input ngbButton type="radio" value="row"> <span class="ion ion-md-menu"></span>
              </label>
              <label ngbButtonLabel class="btn btn-default icon-btn md-btn-flat  " style="border-radius: 3px;" placement="bottom"
              ngbTooltip="Grid">
                <input ngbButton type="radio" value="col"> <span class="ion ion-md-apps"></span>
              </label>

            </div>
          </div>
        </div>
        <div class="bg-lightest fixed-top-container docs-homescreen-itemholder-header device_fixed_container"
          *ngIf="isScrolled && (deviceService.isMobile() || deviceService.isTablet())">
          <div class="file-item-name">{{stricHeaderTitle}}</div>
          <!-- <div class="file-item-name pb-2">Report Name</div> -->
          <!-- <div class="file-item-owned pb-2 text-center">
          <select class="custom-select">
            <option>Owned by anyone</option>
            <option>Owned by me</option>
            <option>Not owned by me</option>
          </select>
        </div> -->
          <div class="file-item-changed pb-2 text-center">Last Modified Date</div>
          <div class="file-item-empty pb-2">
            <div class="btn-group btn-group-toggle" ngbRadioGroup name="file-manager-view" [(ngModel)]="viewMode">
              <label ngbButtonLabel class="btn btn-default icon-btn md-btn-flat mr2  " style="border-radius: 3px;" placement="top"
              ngbTooltip="List">
                <input ngbButton type="radio" value="row"> <span class="ion ion-md-menu"></span>
              </label>
              <label ngbButtonLabel class="btn btn-default icon-btn md-btn-flat  " style="border-radius: 3px;" placement="top"
              ngbTooltip="Grid">
                <input ngbButton type="radio" value="col"> <span class="ion ion-md-apps"></span>
              </label>

            </div>
          </div>
        </div>

        <!-- <div class="file-item">
                <div class="file-item-icon file-item-level-up fas fa-level-up-alt text-primary"></div>
                <a href="javascript:void(0)" class="file-item-name">
                  ..
                </a>
              </div> -->

        <!-- Files -->
        <div class="row-files w-100" *ngIf="viewMode=='row' &&  reportList.length > 0">
          <div class="row-for" *ngFor="let reportListCategItems of reportListCateg">
            <div class="custom-files time-group-files" *ngIf="reportListCategItems.value.length>0">
              <span class="sub-item py-3 {{addCategoryClass(reportListCategItems.name)}}"><b>{{reportListCategItems.name}}</b></span>

              <div class="file-item" *ngFor="let item of reportListCategItems.value"
                [ngClass]="{'selected border-primary': selected.includes(item), 'focused': focused === item || dropdownOpened === item}"
                (focusin)="focusIn(item)" (focusout)="focusOut()">
                <div class="file-item-select-bg bg-primary"></div>
                <label class="file-item-checkbox custom-control custom-checkbox d-none">
                  <input type="checkbox" class="custom-control-input" [checked]="selected.includes(item)"
                    (change)="toggleSelect($event, item)">
                  <span class="custom-control-label"></span>
                </label>

                <div class="file-item-icon text-primary" [ngClass]="icons.folder" *ngIf="isFolder(item)"></div>
                <!-- <div class="file-item-img" [style.backgroundImage]="'url(\'' + item.path + '\')'" *ngIf="isImage(item)">
                </div> -->
                <div class="file-item-img" [style.backgroundImage]="'url(\'' + 'assets/img/doc_icon.svg' + '\')'" *ngIf="isImage(item)" (click)="viewReport(item)">
                  </div>
                <div class="file-item-icon text-primary" [ngClass]="fileIcon(item)" *ngIf="isFile(item)"
                  (click)="viewReport(item)"></div>

                <a href="javascript:void(0)" class="file-item-name" (click)="viewReport(item)">
                  <span>{{item.display_name}}</span>
                </a>
                <!-- <div class="file-item-owned">{{item.createdby}}</div> -->
                <!-- <div class="file-item-owned">test</div> -->

                <div class="file-item-changed text-center">{{formatDate(item.lastupdatedate)}}</div>
                <div class="file-item-empty"></div>
                <div class="file-item-actions btn-group" ngbDropdown
                  [placement]="!isRTL ? 'bottom-right' : 'bottom-left'" (openChange)="dropdownOpenChange($event, item)">
                  <!-- <button type="button"
                  class="btn btn-default btn-sm btn-round icon-btn borderless md-btn-flat hide-arrow"
                  ngbDropdownToggle><i class="ion ion-ios-more"></i></button>
                <div ngbDropdownMenu [class.dropdown-menu-right]="!isRTL">
                  <a class="dropdown-item" href="javascript:void(0)" (click)="viewReport(item)">View</a>
                <a class="dropdown-item" href="javascript:void(0)"(click)="openDialog2(RemoveConfirmModal, { windowClass: 'modal-fill-in animate' },item)">Remove</a>

                </div> -->
                  <button type="button" class="btn btn-default btn-round borderless md-btn-flat hide-arrow del-btn"
                    (click)="openDialog2(RemoveConfirmModal, { windowClass: 'modal-fill-in animate' },item)"><i
                      class="ion ion-md-trash"></i>
                    </button>
                </div>
              </div>

            </div>
          </div>
        </div>

        <div class="custom-files" *ngIf="viewMode!='row'">
          <div class="file-item" *ngFor="let item of reportList"
            [ngClass]="{'selected border-primary': selected.includes(item), 'focused': focused === item || dropdownOpened === item}"
            (focusin)="focusIn(item)" (focusout)="focusOut()">
            <div class="file-item-select-bg bg-primary"></div>
            <label class="file-item-checkbox custom-control custom-checkbox d-none">
              <input type="checkbox" class="custom-control-input" [checked]="selected.includes(item)"
                (change)="toggleSelect($event, item)">
              <span class="custom-control-label"></span>
            </label>

            <div class="file-item-icon text-primary" [ngClass]="icons.folder" *ngIf="isFolder(item)"></div>
            <!-- <div class="file-item-img" [style.backgroundImage]="'url(\'' + item.path + '\')'" *ngIf="isImage(item)">
            </div> -->
            <div class="file-item-img" [style.backgroundImage]="'url(\'' + 'assets/img/doc_icon.svg' + '\')'" *ngIf="isImage(item)" (click)="viewReport(item)">
            </div>
            <div class="file-item-icon text-primary" [ngClass]="fileIcon(item)" *ngIf="isFile(item)"
              (click)="viewReport(item)"></div>

              <div class="file-item-footer">
            <a href="javascript:void(0)" class="file-item-name" (click)="viewReport(item)">
              &nbsp;{{item.display_name}}
            </a>
            <div class="file-item-owned text-center">{{item.createdby}}</div>
            <!-- <div class="file-item-owned">test</div> -->

            <div class="file-item-changed text-center text-tiny">{{formatDate(item.lastupdatedate)}}</div>
          </div>

            <div class="file-item-actions btn-group" ngbDropdown [placement]="!isRTL ? 'bottom-right' : 'bottom-left'"
              (openChange)="dropdownOpenChange($event, item)">
              <!-- <button type="button" class="btn btn-default btn-sm btn-round icon-btn borderless md-btn-flat hide-arrow"
              ngbDropdownToggle><i class="ion ion-ios-more"></i></button>
            <div ngbDropdownMenu [class.dropdown-menu-right]="!isRTL">
                <a class="dropdown-item" href="javascript:void(0)" (click)="viewReport(item)">View</a>
                <a class="dropdown-item" href="javascript:void(0)"(click)="openDialog2(RemoveConfirmModal, { windowClass: 'modal-fill-in animate' },item)">Remove</a>
            </div> -->
              <button type="button" class="btn btn-sm btn-default btn-round borderless md-btn-flat hide-arrow"
                (click)="openDialog2(RemoveConfirmModal, { windowClass: 'modal-fill-in animate' },item)"><i
                  class="ion ion-md-trash"></i></button>
            </div>
          </div>
        </div>

        <!-- / Files -->

      </div>
      <div *ngIf="!reportList.length > 0" class="text-center w-100">
        {{recordStatusText}}
      </div>

    </div>
  </div>
</div>

<div *ngIf="showEntityDetail" class="row dynamicHeight-EntParent">
  <div class="col-md-12 p-0">
    <a href="javascript:void(0)" class="d-flex justify-content-between text-dark py-3 px-4 escap-back"
      (click)="back(SaveConfirmModal, { windowClass: 'modal-fill-in animate' })">
      <span style="width:auto; height:auto;">

        <!-- Back button -->
        <div class="btn btn-default btn-sm text-dark text-left text-big font-weight-bold  " placement="bottom"
          ngbTooltip="Back">
          <i class="ion ion-md-close" aria-hidden="true"></i>
        </div>
        <!-- Back button -->
      </span>
    </a>
    <hx-entityDocs [selectedChart]="selectedChart" [resultData]="entityData" [callbackJson]="callbackJson"
      [dataChanged]="entityDataChanged" [isHome]="true" [pivot_config]="pivot_config_object" [emptySheet]="emptySheet">
    </hx-entityDocs>
  </div>
</div>
<!-- CONFIRMATION POPUP -->
<ng-template #SaveConfirmModal let-c="close" let-d="dismiss" class="modal fade-scale">
  <div class="modal-header">
    <h2 class="modal-title confirm-dialog"><i class="fa fa-exclamation-circle" aria-hidden="true"></i>
      <span class="font-weight-light">Confirmation</span>
    </h2>

    <button type="button" class="close" (click)="d('Cross click')">&times;</button>
  </div>
  
    <div class="modal-body">
        <!-- <h3>Are you sure?</h3> -->
        <p class="mb-0 unpin-text">Do you want to save these changes?</p>
    </div>

  <div class="modal-footer">
    <button type="button" class="btn btn-primary btn-material" (click)="save(1);c('Close click')">Yes</button>
    <button type="button" class="btn btn-default" (click)="save(0);c('Close click')">No</button>
  </div>
</ng-template>
<ng-template #RemoveConfirmModal let-c="close" let-d="dismiss" class="modal fade-scale">
  <div class="modal-header">
    <h2 class="modal-title confirm-dialog"><i class="fa fa-exclamation-circle" aria-hidden="true"></i>
      <span class="font-weight-light">Confirmation</span>
    </h2>

    <button type="button" class="close" (click)="d('Cross click')">&times;</button>
  </div>
  
    <div class="modal-body">
        <!-- <h3>Are you sure?</h3>
        <p>Do you want to save these changes?</p> -->
        <p class="unpin-text mb-0">Do you want to remove this report?</p>
    </div> 

  <div class="modal-footer">
      
    <button type="button" class="btn btn-primary btn-material"
      (click)="deleteReport();c('Close click')">Yes</button>
    <button type="button" class="btn btn-default" (click)="c('Close click')">No</button>
  </div>
</ng-template>

<!-- CONFIRMATION POPUP -->